Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.util
[Java] Class CollectionUtils

    java.lang.Object
      grails.util.CollectionUtils

    public class CollectionUtils
    extends java.lang.Object

Collection utility methods.

Authors:
  Burt Beckwith

Method Summary
`static java.util.List` | `newList(java.lang.Object... values)`
`static java.util.Map` | `newMap(java.lang.Object... keysAndValues)`
`static java.util.Set` | `newSet(java.lang.Object... values)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### newList

    public static java.util.List newList(java.lang.Object... values)

### newMap

    @java.lang.SuppressWarningspublic static  Map newMap(Object... keysAndValues) {
    public static java.util.Map newMap(java.lang.Object... keysAndValues)

### newSet

    public static java.util.Set newSet(java.lang.Object... values)

Groovy Documentation